#ifndef XAUDIOFORMATINFO_H
#define XAUDIOFORMATINFO_H

#include "xasset.h"

#include <QVector>

class XAudioXmaFormat;

class XAudioFormatInfo : public XAsset
{
public:
    XAudioFormatInfo();
    ~XAudioFormatInfo();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    QVector<XAudioXmaFormat*> mStream;
};

#endif // XAUDIOFORMATINFO_H
